package com.ozs.kpim.dto.mdm;

import io.swagger.annotations.ApiModelProperty;

/**
 * 
 * @ClassName: MdmInfoDatabase
 * @Description: 数据库信息表实体类
 * @author: Zhao You Kai
 * @date: Feb 19, 2019 2:20:42 PM
 */
public class MdmInfoDatabase {
	@ApiModelProperty("ID")
	private String id;
	@ApiModelProperty("资源名称")
	private String resourceName;
	@ApiModelProperty("资源IP")
	private String ip;
	@ApiModelProperty("资源类型")
	private Integer resourceType;
	@ApiModelProperty("资源端口")
	private String resourcePort;
	@ApiModelProperty("连接用户名")
	private String username;
	@ApiModelProperty("连接密码")
	private String password;
	@ApiModelProperty("数据库名称")
	private String databaseName;
	@ApiModelProperty("数据仓库类型")
	private Integer databaseType;
	@ApiModelProperty("字符集")
	private Integer charset;
	@ApiModelProperty("最后更新人")
	private String updateUserId;
	@ApiModelProperty("更新时间")
	private String updateTime;

	@ApiModelProperty("数据库类型名称")
	private String databaseTypeName;
	@ApiModelProperty("资源类型名称")
	private String resourceTypeName;
	@ApiModelProperty("编码集名称")
	private String charsetName;

	@ApiModelProperty("不同数据库JDBC加载驱动")
	private String driverName;
	@ApiModelProperty("不同数据库JDBC连接url")
	private String url;

	public String getDriverName() {
		return driverName;
	}

	public void setDriverName(String driverName) {
		this.driverName = driverName;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getDatabaseTypeName() {
		return databaseTypeName;
	}

	public void setDatabaseTypeName(String databaseTypeName) {
		this.databaseTypeName = databaseTypeName;
	}

	public String getResourceTypeName() {
		return resourceTypeName;
	}

	public void setResourceTypeName(String resourceTypeName) {
		this.resourceTypeName = resourceTypeName;
	}

	public String getCharsetName() {
		return charsetName;
	}

	public void setCharsetName(String charsetName) {
		this.charsetName = charsetName;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(String updateUserId) {
		this.updateUserId = updateUserId;
	}

	public String getResourceName() {
		return resourceName;
	}

	public void setResourceName(String resourceName) {
		this.resourceName = resourceName;
	}

	public Integer getResourceType() {
		return resourceType;
	}

	public void setResourceType(Integer resourceType) {
		this.resourceType = resourceType;
	}

	public String getResourcePort() {
		return resourcePort;
	}

	public void setResourcePort(String resourcePort) {
		this.resourcePort = resourcePort;
	}

	public String getDatabaseName() {
		return databaseName;
	}

	public void setDatabaseName(String databaseName) {
		this.databaseName = databaseName;
	}

	public Integer getDatabaseType() {
		return databaseType;
	}

	public void setDatabaseType(Integer databaseType) {
		this.databaseType = databaseType;
	}

	public Integer getCharset() {
		return charset;
	}

	public void setCharset(Integer charset) {
		this.charset = charset;
	}

	public String getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

}
